> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.program.md).

# Program

Class in [Yarn](/2.2/api/csharp/yarn.md)

Inherits from `System.Object`

## Summary

A compiled Yarn program.

```csharp
public class Program
```

## Methods

| Name                                                                              | Description                                                  |
| --------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| [Combine(Program\[\])](/2.2/api/csharp/yarn/yarn.program/yarn.program.combine.md) | Creates a new Program by merging multiple Programs together. |
| [ToString()](/2.2/api/csharp/yarn/yarn.program/yarn.program.tostring.md)          |                                                              |

## Properties

| Name                                                                             | Description                                                                                                                                                |
| -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [InitialValues](/2.2/api/csharp/yarn/yarn.program/yarn.program.initialvalues.md) | The collection of initial values for variables; if a PUSH\_VARIABLE instruction is run, and the value is not found in the storage, this value will be used |
| [Name](/2.2/api/csharp/yarn/yarn.program/yarn.program.name.md)                   | The name of the program.                                                                                                                                   |
| [Nodes](/2.2/api/csharp/yarn/yarn.program/yarn.program.nodes.md)                 | The collection of nodes in this program.                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.program.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
